Subject: B19: gdb problem
From: [email-masked] (Gilbert W. Pilz Jr)

25 Apr 1998 02:39:16 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]

I am having trouble debugging a simple program on B19. I have tried bot the
default compiler tools and the EGCS tools but I get the same behavior in
either case. The program works more or less correctly (it gets stuck in a
endless loop somewhere) but when I run it under gdb and hit the start
button I get this:

============================================================================

(gdb) Breakpoint 1 at 0x4010e7: file main.c, line 43.
Starting program: /I/contracts/dascom_webseat/./foo.exe 
10000000:/I/Cygnus/B19/H-i386-cygwin32/bin/cygwinb19.dll

[failed reading symbols from DLL]
"/WINNT/system32/advapi32.dll": error reading line numbers

[failed reading symbols from DLL]
"/WINNT/system32/KERNEL32.dll": error reading line numbers

77e70000:/WINNT/system32/USER32.dll
77ed0000:/WINNT/system32/GDI32.dll
77e10000:/WINNT/system32/RPCRT4.dll
warning: LDR: Automatic DLL Relocation in foo.exe

warning: LDR: Dll APITRAP.dll base 10000000 relocated due to collision with
I:\Cygnus\B19\H-i386-cygwin32\bin\cygwinb19.dll

2a50000:/WINNT/System32/APITRAP.dll

[failed reading symbols from DLL]
"/WINNT/System32/PSAPI.DLL": error reading line numbers

[failed reading symbols from DLL]
"/WINNT/System32/IMAGEHLP.dll": error reading line numbers

Program received signal SIGSEGV, Segmentation fault.
0x77f6cc66 in ?? ()
bt
#0  0x77f6cc66 in ?? ()
#1  0x77f67456 in ?? ()
#2  0x2a52333 in _size_of_stack_reserve__ ()
#3  0x2a52467 in _size_of_stack_reserve__ ()
#4  0x2a55717 in _size_of_stack_reserve__ ()
#5  0x77f6b44e in ?? ()
#6  0x77f63a24 in ?? ()
#7  0x77f13a66 in ?? ()
#8  0x77f13773 in ?? ()
#9  0x77e788c3 in _libuser32_a_iname ()
#10 0x77f6344f in ?? ()
#11 0x77f61c3f in ?? ()
#12 0x77f61187 in ?? ()
(gdb) 

============================================================================

Here is the Makefile

CC	= gcc
CFLAGS	= -g -D__WEBSEAT_PROFILE__

LD	= ld
LDFLAGS	= -L//I/Cygnus/B19/H-i386-cygwin32/i386-cygwin32/lib

LIBS	= -lcygwin -lkernel32 -lc

all:	foo.exe

foo.exe: main.o profile.o
	ld -o foo.exe //I/Cygnus/B19/H-i386-cygwin32/i386-cygwin32/lib/crt0.o
main.o profile.o $(LDFLAGS) $(LIBS)

clean:
	-rm *.o
	-rm foo.exe

============================================================================

What am I doing wrong ?

Gilbert W. Pilz Jr.
Systems Software Consultant
[email-masked]
www.scruz.net/~gwpilz/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".